﻿using Hotline.Share.Enums.FlowEngine;

namespace Hotline.Share.Dtos.FlowEngine;

public class NextStepsDto
{
    public string DefinitionId { get; set; }
    public EInstanceMode InstanceMode { get; set; }
    public EDynamicPolicy DynamicPolicy { get; set; }
    public IReadOnlyList<NextStepOption> Steps { get; set; }
    public DateTime? ExpiredTime { get; set; }
}

public class NextStepOption
{
    public string Key { get; set; }

    public string Value { get; set; }

    /// <summary>
    /// 是否回到会签发起节点汇总
    /// </summary>
    public bool BackToCountersignSummary { get; set; }

    //public IReadOnlyList<IdName> Items { get; set; }
}

public class GetNextStepItemsDto
{
    public string DefinitionId { get; set; }
    public EInstanceMode InstanceMode { get; set; }
    public EDynamicPolicy DynamicPolicy { get; set; }
    public string Key { get; set; }
}